Packaging
=========

This document contains packaging suggestions for fastfoo and its accompanying
libs.  So far fastfoo is maintained as one collection but since some parts are
independent, it's possible to create minimal packages.

Exposing sub-sets as  not supported 


"Leaf" packages
---------------

 *  *ffoo-base* - only ffoo.sh (posix)
 *  *ffoo-core* - core libs (posix?)
 *  *ffoo-extras* - extra libs
 *  *ffoo-manpages* - manpages (extra because of req. ronn to build)


Meta packages
-------------

 *  *ffoo* - -base, -core, -extras, -manpages (not -desktop)
 *  *ffoo-posix* - -base plus libs compliant with posix


Package contents
----------------


### ffoo-base ###

No modules, just ffoo.sh and supporting binaries.


### ffoo-core ###

 *  error
 *  pretty
 *  _pretty_color
 *  _pretty_html
 *  _pretty_plain
 *  types


### ffoo-testing ###

 *  testing


### ffoo-extras ###

 *  ini
 *  stats
 *  recon
 *  charmenu
 *  misc
